コンテンツへスキップ

Digital Distribution Hub (1.0.0)

概要

Digital Distribution Hubは、プッシュペイメント技術やEコマースを介して、デジタルとキャッシュベースの決済を結びつけることを目的とした、エクソラの新しいソリューションです。

この参照は、以下の2つエクソラ製品のAPIエンドポイントを組み合わせたものです:ゲーム内ストア決済ステーション。2つのベースURLがあります:

  • 一般カタログカート、及び注文グループの場合は https://store.xsolla.com/api
  • 通知グループの場合は、https://ps.xsolla.com

カタロググループのAPIエンドポイントは認証を必要としません。

カート注文グループの操作を行うには、ユーザートークンを作成するを介してトークンを生成する必要があります。

注意

この参照は、将来のAPIのデザインを示すものであり、完全に機能するインターフェースではありません。現在は、カタログおよび通知グループのエンドポイントのみを試すことができます。ご意見をお聞かせいただける場合は、techdoc@xsolla.comまでご連絡ください。
OpenAPI記述をダウンロード
言語
サーバー
Mock server
https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/
https://store.xsolla.com/api/
操作
操作

指定されたグループごとにゲームリストを取得する

リクエスト

カタログを作成するために、指定されたグループからゲームリストを取得します。

注意すべてのプロジェクトには、取得できるアイテムの数に制限があります。応答。デフォルトおよび最大値は1応答あたり50アイテムです。ページごとにより多くのデータを取得するには、制限オフセットフィールドを使用します。
セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
external_idstring必須

グループ外部ID。

デフォルト "all"
クエリ
limitinteger

ページにある要素数の制限。

例: limit=50
offsetinteger

リストが生成される要素の番号(0からカウントされる)。

例: offset=0
localestring

応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_listorderlong_descriptionです。

countrystring

カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

デフォルト "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/v2/project/44056/items/game/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

ゲームリストは正常に受信されました。

ボディapplication/json
itemsArray of objects(Catalog_inline_response_200_items)
例: [{"attributes":{"$ref":"#/components/examples/client-attribute-game/Catalog_value"},"description":"Game description","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_1","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":true,"is_free":false,"is_pre_order":true,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_key_01","type":"game_key","virtual_prices":[]},{"drm_name":"Origin","drm_sku":"origin","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_02","type":"game_key","virtual_prices":[]}],"unit_type":"game"},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_2","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_01","type":"game_key","virtual_prices":[]}],"unit_type":"game"}]
レスポンス
application/json
{ "items": [ {}, {} ] }

指定されたグループごとにゲームキーリストを取得する

リクエスト

カタログを作成するために、指定されたグループからゲームキーリストを取得します。

注意すべてのプロジェクトには、取得できるアイテムの数に制限があります。応答。デフォルトおよび最大値は1応答あたり50アイテムです。ページごとにより多くのデータを取得するには、制限オフセットフィールドを使用します。
セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
external_idstring必須

グループ外部ID。

デフォルト "all"
クエリ
limitinteger

ページにある要素数の制限。

例: limit=50
offsetinteger

リストが生成される要素の番号(0からカウントされる)。

例: offset=0
localestring

応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_listorderlong_descriptionです。

countrystring

カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

デフォルト "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/v2/project/44056/items/game/key/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

ゲームキーリストが正常に受信されました。

ボディapplication/json
itemsArray of objects(Catalog_inline_response_200_3_items)
例: [{"attributes":{"$ref":"#/components/examples/client-attribute-game-horror/Catalog_value"},"description":"Game description","drm_name":"Steam","drm_sku":"steam","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"has_keys":true,"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","is_free":false,"is_pre_order":true,"name":"Game name","price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_1","type":"game_key","virtual_prices":[]},{"attributes":{"$ref":"#/components/examples/client-attribute-game-horror/Catalog_value"},"description":"Game description","drm_name":"Steam","drm_sku":"steam","groups":[{"external_id":"all","name":"All games"}],"has_keys":true,"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","is_free":false,"is_pre_order":false,"name":"Game name","price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_2","type":"game_key","virtual_prices":[]}]
レスポンス
application/json
{ "items": [ {}, {} ] }

カタログ用のゲームキーを取得する

リクエスト

カタログのゲームキーを取得します。

セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
item_skustring必須

アイテムSKU。

例: booster_mega_1
クエリ
localestring

応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_listorderlong_descriptionです。

countrystring

カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

デフォルト "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/v2/project/44056/items/game/key/sku/booster_mega_1?locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

ゲームキーが正常に受信されました。

ボディapplication/json
attributesArray of objects(Catalog_client-attributes-common)

アイテムに対応する属性とその値のリスト。カタログのフィルタリングに使用できます。

デフォルト []
descriptionstring

アイテム説明。

例: "Game description"
drm_namestring

DRM名。

例: "Steam"
drm_skustring

一意のDRM ID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。

例: "steam"
groupsArray of objects(Catalog_inline_response_200_groups)

アイテムが属するグループ。

例: [{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}]
has_keysboolean

trueの場合、ゲームキーには販売用のキーがあります。

例: true
image_urlstring

画像のURL。

例: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
is_freeboolean

trueの場合、アイテムは無料です。

例: false
is_pre_orderboolean

trueの場合、ゲームキーは先行予約済みで、リリース日は過ぎていません。

例: true
namestring

アイテム名。

例: "Game name"
priceobject(Catalog_inline_response_200_price)

アイテム価格。

release_datestring

ISO8601形式のゲームキーのリリース日。

例: "2020-08-11T10:00:00+03:00"
skustring

一意のアイテムID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。

例: "game_1"
typestring

アイテムのタイプ:game_key

例: "game_key"
virtual_pricesArray of objects(Catalog_inline_response_200_virtual_prices)

仮想価格。

例: []
レスポンス
application/json
{ "attributes": { "$ref": "#/components/examples/client-attribute-game-horror/Catalog_value" }, "description": "Game description", "drm_name": "Steam", "drm_sku": "steam", "groups": [ {}, {} ], "has_keys": true, "image_url": "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png", "is_free": false, "is_pre_order": true, "name": "Game name", "price": { "amount": "30.5", "amount_without_discount": "30.5", "currency": "USD" }, "release_date": "2020-08-11T10:00:00+03:00", "sku": "game_1", "type": "game_key", "virtual_prices": [] }

仮想アイテム & 通貨

操作
操作

ユーザートークン

操作
操作
操作